<?php

  $photo_gallery_theme_custom_setting_css = '';

	// Scroll to top alignment
	$photo_gallery_scroll_alignment = get_theme_mod('photo_gallery_scroll_alignment', 'right');

    if($photo_gallery_scroll_alignment == 'right'){
        $photo_gallery_theme_custom_setting_css .='.scroll-up{';
            $photo_gallery_theme_custom_setting_css .='right: 30px;!important;';
			$photo_gallery_theme_custom_setting_css .='left: auto;!important;';
        $photo_gallery_theme_custom_setting_css .='}';
    }else if($photo_gallery_scroll_alignment == 'center'){
        $photo_gallery_theme_custom_setting_css .='.scroll-up{';
            $photo_gallery_theme_custom_setting_css .='left: calc(50% - 10px) !important;';
        $photo_gallery_theme_custom_setting_css .='}';
    }else if($photo_gallery_scroll_alignment == 'left'){
        $photo_gallery_theme_custom_setting_css .='.scroll-up{';
            $photo_gallery_theme_custom_setting_css .='left: 30px;!important;';
			$photo_gallery_theme_custom_setting_css .='right: auto;!important;';
        $photo_gallery_theme_custom_setting_css .='}';
    }

    // Woocommerce Sale Position
    $photo_gallery_sale_badge_position = get_theme_mod( 'photo_gallery_sale_badge_position','right');
    if($photo_gallery_sale_badge_position == 'left'){
        $photo_gallery_theme_custom_setting_css .='.woocommerce ul.products li.product .onsale{';
            $photo_gallery_theme_custom_setting_css .='left: 10px; right: auto;';
        $photo_gallery_theme_custom_setting_css .='}';
    }else if($photo_gallery_sale_badge_position == 'right'){
        $photo_gallery_theme_custom_setting_css .='.woocommerce ul.products li.product .onsale{';
            $photo_gallery_theme_custom_setting_css .='left: auto; right: 10px;';
        $photo_gallery_theme_custom_setting_css .='}';
    }

    // Related Product

	$photo_gallery_show_related_product = get_theme_mod('photo_gallery_show_related_product', true );

	if($photo_gallery_show_related_product != true){
		$photo_gallery_theme_custom_setting_css .='.related.products{';
			$photo_gallery_theme_custom_setting_css .='display: none;';
		$photo_gallery_theme_custom_setting_css .='}';
	}	

    // Featured Image Hover Effect
    $photo_gallery_show_featured = get_theme_mod('photo_gallery_featured_image_hide_show', 1);
    $photo_gallery_hover_effect = get_theme_mod('photo_gallery_single_post_featured_image_hover','none');

    if ( $photo_gallery_show_featured && $photo_gallery_hover_effect !== 'none' ) {

    $photo_gallery_theme_custom_setting_css .= '
    .post-img img{
        transition: all 0.4s ease;
    }';

    if ( $photo_gallery_hover_effect === 'zoom-in' ) {
        $photo_gallery_theme_custom_setting_css .= '
        .post-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $photo_gallery_hover_effect === 'zoom-out' ) {
        $photo_gallery_theme_custom_setting_css .= '
        .post-img img{ transform: scale(1.2); }
        .post-img:hover img{ transform: scale(1); }';
    }

    if ( $photo_gallery_hover_effect === 'grayscale' ) {
        $photo_gallery_theme_custom_setting_css .= '
        .post-img img{ filter: grayscale(100%); }
        .post-img:hover img{ filter: grayscale(0); }';
    }

    if ( $photo_gallery_hover_effect === 'sepia' ) {
        $photo_gallery_theme_custom_setting_css .= '
        .post-img:hover img{ filter: sepia(100%); }';
    }

    if ( $photo_gallery_hover_effect === 'blur' ) {
        $photo_gallery_theme_custom_setting_css .= '
        .post-img:hover img{ filter: blur(3px); }';
    }

    if ( $photo_gallery_hover_effect === 'bright' ) {
        $photo_gallery_theme_custom_setting_css .= '
        .post-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $photo_gallery_hover_effect === 'translate' ) {
        $photo_gallery_theme_custom_setting_css .= '
        .post-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $photo_gallery_hover_effect === 'scale' ) {
        $photo_gallery_theme_custom_setting_css .= '
        .post-img:hover img{ transform: scale(1.1); }';
    }
}

// Product Featured Image Hover Effect
    $photo_gallery_show_featured = get_theme_mod('photo_gallery_featured_image_hide_show', 1);
    $photo_gallery_hover_effect = get_theme_mod('photo_gallery_product_featured_image_hover','none');

    if ( $photo_gallery_show_featured && $photo_gallery_hover_effect !== 'none' ) {

    $photo_gallery_theme_custom_setting_css .= '
    .product-img img{
        transition: all 0.4s ease;
    }';

    if ( $photo_gallery_hover_effect === 'zoom-in' ) {
        $photo_gallery_theme_custom_setting_css .= '
        .product-img:hover img{
            transform: scale(1.2);
        }';
    }

    if ( $photo_gallery_hover_effect === 'zoom-out' ) {
        $photo_gallery_theme_custom_setting_css .= '
        .product-img img{ transform: scale(1.2); }
        .product-img:hover img{ transform: scale(1); }';
    }

    if ( $photo_gallery_hover_effect === 'grayscale' ) {
        $photo_gallery_theme_custom_setting_css .= '
        .product-img img{ filter: grayscale(100%); }
        .product-img:hover img{ filter: grayscale(0); }';
    }

    if ( $photo_gallery_hover_effect === 'sepia' ) {
        $photo_gallery_theme_custom_setting_css .= '
        .product-img:hover img{ filter: sepia(100%); }';
    }

    if ( $photo_gallery_hover_effect === 'blur' ) {
        $photo_gallery_theme_custom_setting_css .= '
        .product-img:hover img{ filter: blur(3px); }';
    }

    if ( $photo_gallery_hover_effect === 'bright' ) {
        $photo_gallery_theme_custom_setting_css .= '
        .product-img:hover img{ filter: brightness(1.3); }';
    }

    if ( $photo_gallery_hover_effect === 'translate' ) {
        $photo_gallery_theme_custom_setting_css .= '
        .product-img:hover img{ transform: translateY(-10px); }';
    }

    if ( $photo_gallery_hover_effect === 'scale' ) {
        $photo_gallery_theme_custom_setting_css .= '
        .product-img:hover img{ transform: scale(1.1); }';
    }
}   